package cn.estsh.i3plus.ext.mes.api.base;

import cn.estsh.i3plus.pojo.wms.bean.WmsPushConfig;
import cn.estsh.i3plus.pojo.wms.bean.WmsPushLog;
import cn.estsh.impp.framework.boot.util.ResultBean;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description :
 * @Author : JiaQiHou
 * @CreateDate : 2022-03-28 23:15
 **/
@Service
public interface IPushService<T> {
    ResultBean sendPush(T var1);

    List queryData(WmsPushConfig var1);

    void saveLog(WmsPushLog var1);

    void updateConfig(WmsPushConfig var1);
}

